<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::token_loc_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structerpcgen_1_1token__loc__t.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structerpcgen_1_1token__loc__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::token_loc_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a> location in the source file.  
 <a href="structerpcgen_1_1token__loc__t.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_token_8h_source.html">Token.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a57fe3951cada8d29e6150888f13faff6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57fe3951cada8d29e6150888f13faff6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>token_loc_t</b> (const <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;other)=default</td></tr>
<tr class="separator:a57fe3951cada8d29e6150888f13faff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c6d47a960b0a3b419a9c420c6838956"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c6d47a960b0a3b419a9c420c6838956"></a>
<a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> &amp;other)=default</td></tr>
<tr class="separator:a4c6d47a960b0a3b419a9c420c6838956"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aff36c9acf2d95aeda228b29582b4266e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structerpcgen_1_1token__loc__t.html#aff36c9acf2d95aeda228b29582b4266e">m_firstLine</a></td></tr>
<tr class="separator:aff36c9acf2d95aeda228b29582b4266e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a615909c165978370da752fd3019fe713"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structerpcgen_1_1token__loc__t.html#a615909c165978370da752fd3019fe713">m_firstChar</a></td></tr>
<tr class="separator:a615909c165978370da752fd3019fe713"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11d376676bea9ab8215e5be99db20762"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structerpcgen_1_1token__loc__t.html#a11d376676bea9ab8215e5be99db20762">m_lastLine</a></td></tr>
<tr class="separator:a11d376676bea9ab8215e5be99db20762"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9ff173b4b3d8da98a766ce5461e82ff"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structerpcgen_1_1token__loc__t.html#ac9ff173b4b3d8da98a766ce5461e82ff">m_lastChar</a></td></tr>
<tr class="separator:ac9ff173b4b3d8da98a766ce5461e82ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classerpcgen_1_1_token.html" title="Encapsulates all information about a token. ">Token</a> location in the source file. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a615909c165978370da752fd3019fe713"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::token_loc_t::m_firstChar</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Starting character position on starting line. </p>

</div>
</div>
<a class="anchor" id="aff36c9acf2d95aeda228b29582b4266e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::token_loc_t::m_firstLine</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Starting line of the token. </p>

</div>
</div>
<a class="anchor" id="ac9ff173b4b3d8da98a766ce5461e82ff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::token_loc_t::m_lastChar</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Ending character position on ending line. </p>

</div>
</div>
<a class="anchor" id="a11d376676bea9ab8215e5be99db20762"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int erpcgen::token_loc_t::m_lastLine</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Ending line of the token. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="_token_8h_source.html">Token.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
